﻿--
-- Script was generated by Devart dbForge Studio for MySQL, Version 8.0.40.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 08/03/2023 22:25:07
-- Server version: 5.5.5-10.1.40-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS admin_flota_espacial;

CREATE DATABASE admin_flota_espacial
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE admin_flota_espacial;

--
-- Create table `naves`
--
CREATE TABLE naves (
  cod varchar(9) NOT NULL,
  tamaño varchar(30) DEFAULT NULL,
  salud int(11) DEFAULT NULL,
  origen text DEFAULT NULL,
  resistencia_ambiental varchar(50) DEFAULT NULL,
  capacidad_carga varchar(30) DEFAULT NULL,
  
  PRIMARY KEY (cod)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 546,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `salas`
--
CREATE TABLE salas (
  nombre varchar(30) NOT NULL,
  actividad text DEFAULT NULL,
  ubicacion varchar(30) DEFAULT NULL,
  num_tripulantes int(11) DEFAULT NULL,
  
  cod varchar(9) DEFAULT NULL,
  PRIMARY KEY (nombre)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 2048,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE salas
ADD CONSTRAINT fk_salas_naves FOREIGN KEY (cod)
REFERENCES naves (cod);

--
-- Create table `medallas`
--
CREATE TABLE medallas (
  id int(11) NOT NULL AUTO_INCREMENT,
  cod varchar(9) DEFAULT NULL,
  medallas varchar(30) DEFAULT NULL,
  
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 31,
AVG_ROW_LENGTH = 546,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_medallas_naves` on table `medallas`
--
ALTER TABLE medallas
ADD UNIQUE INDEX uk_medallas_naves (cod, medallas);

--
-- Create foreign key
--
ALTER TABLE medallas
ADD CONSTRAINT fk_medallas_naves FOREIGN KEY (cod)
REFERENCES naves (cod);

--
-- Create table `almacen`
--
CREATE TABLE almacen (
  id int(11) NOT NULL AUTO_INCREMENT,
  cod varchar(9) DEFAULT NULL,
  cod_almacen varchar(9) DEFAULT NULL,
  
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 31,
AVG_ROW_LENGTH = 546,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_almacen_naves` on table `almacen`
--
ALTER TABLE almacen
ADD UNIQUE INDEX uk_almacen_naves (cod, cod_almacen);

--
-- Create foreign key
--
ALTER TABLE almacen
ADD CONSTRAINT fk_almacen_naves FOREIGN KEY (cod)
REFERENCES naves (cod);

--
-- Create table `misiones`
--
CREATE TABLE misiones (
  numero int(11) NOT NULL,
  infome text DEFAULT NULL,
  dificultad varchar(20) DEFAULT NULL,
  
  PRIMARY KEY (numero)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 546,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `recompensas`
--
CREATE TABLE recompensas (
  id int(11) NOT NULL AUTO_INCREMENT,
  numero int(11) DEFAULT NULL,
  recompensas varchar(100) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 31,
AVG_ROW_LENGTH = 546,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_recompensas_misiones` on table `recompensas`
--
ALTER TABLE recompensas
ADD UNIQUE INDEX uk_recompensas_misiones (numero, recompensas);

--
-- Create foreign key
--
ALTER TABLE recompensas
ADD CONSTRAINT fk_recompensas_misiones FOREIGN KEY (numero)
REFERENCES misiones (numero);

--
-- Create table `realizan`
--
CREATE TABLE realizan (
  id int(11) NOT NULL AUTO_INCREMENT,
  cod varchar(9) DEFAULT NULL,
  numero int(11) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 31,
AVG_ROW_LENGTH = 546,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_naves_misiones` on table `realizan`
--
ALTER TABLE realizan
ADD UNIQUE INDEX uk_naves_misiones (cod, numero);

--
-- Create foreign key
--
ALTER TABLE realizan
ADD CONSTRAINT fk_realizan_misiones FOREIGN KEY (numero)
REFERENCES misiones (numero);

--
-- Create foreign key
--
ALTER TABLE realizan
ADD CONSTRAINT fk_realizan_naves FOREIGN KEY (cod)
REFERENCES naves (cod);

--
-- Create table `planetas`
--
CREATE TABLE planetas (
  cod_planetas varchar(9) NOT NULL,
  nombre varchar(20) DEFAULT NULL,
  habitabilidad varchar(50) DEFAULT NULL,
  medioambiente text DEFAULT NULL,
  misiones text DEFAULT NULL,
  
  PRIMARY KEY (cod_planetas)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 546,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `exploran`
--
CREATE TABLE exploran (
  id int(11) NOT NULL AUTO_INCREMENT,
  cod varchar(9) DEFAULT NULL,
  cod_planetas varchar(9) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 31,
AVG_ROW_LENGTH = 546,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_naves_planetas` on table `exploran`
--
ALTER TABLE exploran
ADD UNIQUE INDEX uk_naves_planetas (cod, cod_planetas);

--
-- Create foreign key
--
ALTER TABLE exploran
ADD CONSTRAINT fk_exploran_naves FOREIGN KEY (cod)
REFERENCES naves (cod);

--
-- Create foreign key
--
ALTER TABLE exploran
ADD CONSTRAINT fk_exploran_planetas FOREIGN KEY (cod_planetas)
REFERENCES planetas (cod_planetas);

--
-- Create table `tripulantes`
--
CREATE TABLE tripulantes (
  placa varchar(9) NOT NULL,
  nombre_apellidos varchar(50) DEFAULT NULL,
  especie varchar(30) DEFAULT NULL,
  trabajo varchar(30) DEFAULT NULL,
  origen text DEFAULT NULL,
  uniforme varchar(70) DEFAULT NULL,
  
  PRIMARY KEY (placa)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 546,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `trabajan`
--
CREATE TABLE trabajan (
  id int(11) NOT NULL AUTO_INCREMENT,
  placa varchar(9) DEFAULT NULL,
  nombre varchar(30) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 31,
AVG_ROW_LENGTH = 546,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_tripulantes_salas` on table `trabajan`
--
ALTER TABLE trabajan
ADD UNIQUE INDEX uk_tripulantes_salas (placa, nombre);

--
-- Create foreign key
--
ALTER TABLE trabajan
ADD CONSTRAINT fk_trabajan_salas FOREIGN KEY (nombre)
REFERENCES salas (nombre);

--
-- Create foreign key
--
ALTER TABLE trabajan
ADD CONSTRAINT fk_trabajan_tripulantes FOREIGN KEY (placa)
REFERENCES tripulantes (placa);

--
-- Create table `contratan`
--
CREATE TABLE contratan (
  id int(11) NOT NULL AUTO_INCREMENT,
  cod varchar(9) DEFAULT NULL,
  placa varchar(9) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 31,
AVG_ROW_LENGTH = 546,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_naves_tripulantes` on table `contratan`
--
ALTER TABLE contratan
ADD UNIQUE INDEX uk_naves_tripulantes (cod, placa);

--
-- Create foreign key
--
ALTER TABLE contratan
ADD CONSTRAINT fk_contratan_naves FOREIGN KEY (cod)
REFERENCES naves (cod);

--
-- Create foreign key
--
ALTER TABLE contratan
ADD CONSTRAINT fk_contratan_tripulantes FOREIGN KEY (placa)
REFERENCES tripulantes (placa);

--
-- Create table `puertos`
--
CREATE TABLE puertos (
  nombre varchar(20) NOT NULL,
  misiones text DEFAULT NULL,
  tipo_astro varchar(30) DEFAULT NULL,
  zona_orbita varchar(30) DEFAULT NULL,
  naves_permitidas varchar(50) DEFAULT NULL,
  comercio text DEFAULT NULL,
  
  PRIMARY KEY (nombre)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 546,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `aterrizan`
--
CREATE TABLE aterrizan (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(20) DEFAULT NULL,
  cod varchar(9) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 31,
AVG_ROW_LENGTH = 546,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `uk_puertos_naves` on table `aterrizan`
--
ALTER TABLE aterrizan
ADD UNIQUE INDEX uk_puertos_naves (nombre, cod);

--
-- Create foreign key
--
ALTER TABLE aterrizan
ADD CONSTRAINT fk_aterrizan_naves FOREIGN KEY (cod)
REFERENCES naves (cod);

--
-- Create foreign key
--
ALTER TABLE aterrizan
ADD CONSTRAINT fk_aterrizan_puertos FOREIGN KEY (nombre)
REFERENCES puertos (nombre);

-- 
-- Dumping data for table naves
--


-- 
-- Dumping data for table salas
--


-- 
-- Dumping data for table misiones
--


-- 
-- Dumping data for table planetas
--



-- 
-- Dumping data for table tripulantes
--


-- 
-- Dumping data for table puertos
--


-- 
-- Dumping data for table trabajan
--
INSERT INTO trabajan VALUES
(11, '17', 'Reuniones'),
(22, '2B30P4', 'Cocina'),
(29, '31Z8', 'Cabina'),
(12, '31Z8', 'Cocina'),
(1, '31Z8', 'Enfermeria'),
(27, '31Z8', 'Mantenimiento'),
(25, '40B', 'Armeria'),
(9, '40B', 'Defensa'),
(10, '40B', 'Mandos'),
(26, '40B', 'Reuniones'),
(21, '7IG770LI0', 'Armeria'),
(18, '7IG770LI0', 'Reuniones'),
(14, 'B', 'Armeria'),
(17, 'B', 'Defensa'),
(19, 'B', 'Enfermeria'),
(28, 'B', 'Mandos'),
(6, 'M', 'Cabina'),
(24, 'M', 'Defensa'),
(20, 'M', 'Enfermeria'),
(8, 'M', 'Mantenimiento'),
(13, 'M4', 'Cabina'),
(30, 'M4', 'Cocina'),
(15, 'M4', 'Mantenimiento'),
(5, 'QFJAYUN', 'Armeria'),
(7, 'QFJAYUN', 'Mandos'),
(4, 'QFJAYUN', 'Reuniones'),
(23, 'U', 'Cabina'),
(2, 'U', 'Defensa'),
(3, 'U', 'Enfermeria'),
(16, 'U', 'Mandos');

-- 
-- Dumping data for table recompensas
--
INSERT INTO recompensas VALUES
(8, 1, 'G'),
(25, 2, 'E'),
(1, 3, 'PHC8P81E7G6I4V47WX767598013W'),
(3, 214748367, 'MB8H893L0E8I6963080742E33ORF6BD4Z7VN0L391HNG368CU863'),
(16, 214748368, 'TY37'),
(11, 431219650, 'O9K'),
(30, 431219651, 'YV04W58876P0SDMU8585GV86K2IDUCPG8DT00M66'),
(17, 645968016, '579FDZ6X5CVLCLPELR58D63G9G14LI0D0OT5Y2317M1J6PJZ7G7H1666D'),
(20, 645968017, '71OJV353XE4MM0H88'),
(21, 1069864263, '4M1R1YK986'),
(12, 1069864264, '3C'),
(6, 1069864265, '25W0C88NP'),
(28, 1069864266, 'A8JGNLN97NUO1YL779302W8TUQ80RC7JX0F84T62V59J90Q539A8'),
(15, 1069864267, '1BB'),
(26, 1069864268, 'K7428'),
(24, 1069864269, NULL),
(23, 1284612629, '854Z3IAC5914'),
(18, 1284612630, 'J7MM8CLDPZ746Y759R12G97765JGM3U14XNP36P5R97VRRA0IZT4C8420ZQR25FK17RPYHHCQYH'),
(27, 1284612631, 'S60ZTQ292JP2074S51Q644E0V78KO5I0ZPOP2PJ4'),
(29, 1284612632, '3GDCEN904D96LVD7B9RBXR7P13T345O8KC8M6U41RP2BK8W6D35C1YV405O667SHU24F5G49S6239286'),
(22, 1284612633, '22Q0GAPCH'),
(14, 1284612634, 'CJ7IY9SY6Y5JN8YR72648L6HWXKG6T1ZSKXIZAG1I83CX649X1BO576ZF9UW196H68C'),
(7, 1326302053, 'SBIL3P9EUTVO6NG718Y6'),
(4, 1326302054, '91U5D0U2T69L81R006S5MPRI25KB53LVQ'),
(5, 1541050419, 'R5UK158S3289S68V424OZU5JB74F17BAGYL798527PC35R86G0CMU4NUY4KAL3HE889KR6W2QWVB9N513L2QKOW934551PN'),
(9, 1823027408, '421X'),
(2, 1823027409, '4I87YXK1BSWSB3U7YD2Y26OI71C67O1M7B6A6171XU7SW70ME4V30UF66F6'),
(19, 2037775770, '65YW4907E46I65Q74812'),
(13, 2037775771, 'UWG13ZRSCO15BW6PSPQ103RD5Q03C9CPDIH6LS299E0R6W68522W38GO99RZDP3714C70B85V60RU88291D57JDIX98O3W9778TM'),
(10, 2147483647, 'D');

-- 
-- Dumping data for table realizan
--
INSERT INTO realizan VALUES
(20, '2D', 645968017),
(9, '2GQMW', 1823027408),
(6, '4', 1069864265),
(3, '47', 214748367),
(15, '5FS', 1069864267),
(7, '5MALZ3H19', 1326302053),
(25, '6', 2),
(16, '630A', 214748368),
(17, '7', 645968016),
(30, '7280', 431219651),
(24, '8195O02', 1069864269),
(23, '8WG42', 1284612629),
(1, '97', 3),
(10, '9C', 2147483647),
(2, '9K', 1823027409),
(13, 'B', 2037775771),
(5, 'BF', 1541050419),
(27, 'CY', 1284612631),
(21, 'D', 1069864263),
(14, 'DPB', 1284612634),
(11, 'G', 431219650),
(8, 'G5I0T', 1),
(4, 'O3M', 1326302054),
(19, 'PEL', 2037775770),
(28, 'U43C', 1069864266),
(29, 'W', 1284612632),
(18, 'WP7K', 1284612630),
(12, 'X', 1069864264),
(22, 'Z9', 1284612633),
(26, 'ZSM3', 1069864268);

-- 
-- Dumping data for table medallas
--


-- 
-- Dumping data for table exploran
--
INSERT INTO exploran VALUES
(1, NULL, NULL),
(2, NULL, NULL),
(3, NULL, NULL),
(4, NULL, NULL),
(5, NULL, NULL),
(6, NULL, NULL),
(7, NULL, NULL),
(8, NULL, NULL),
(9, NULL, NULL),
(10, NULL, NULL),
(11, NULL, NULL),
(12, NULL, NULL),
(13, NULL, NULL),
(14, NULL, NULL),
(15, NULL, NULL),
(16, NULL, NULL),
(17, NULL, NULL),
(18, NULL, NULL),
(19, NULL, NULL),
(20, NULL, NULL),
(21, NULL, NULL),
(22, NULL, NULL),
(23, NULL, NULL),
(24, NULL, NULL),
(25, NULL, NULL),
(26, NULL, NULL),
(27, NULL, NULL),
(28, NULL, NULL),
(29, NULL, NULL),
(30, NULL, NULL);

-- 
-- Dumping data for table contratan
--
INSERT INTO contratan VALUES
(1, NULL, NULL),
(2, NULL, NULL),
(3, NULL, NULL),
(4, NULL, NULL),
(5, NULL, NULL),
(6, NULL, NULL),
(7, NULL, NULL),
(8, NULL, NULL),
(9, NULL, NULL),
(10, NULL, NULL),
(11, NULL, NULL),
(12, NULL, NULL),
(13, NULL, NULL),
(14, NULL, NULL),
(15, NULL, NULL),
(16, NULL, NULL),
(17, NULL, NULL),
(18, NULL, NULL),
(19, NULL, NULL),
(20, NULL, NULL),
(21, NULL, NULL),
(22, NULL, NULL),
(23, NULL, NULL),
(24, NULL, NULL),
(25, NULL, NULL),
(26, NULL, NULL),
(27, NULL, NULL),
(28, NULL, NULL),
(29, NULL, NULL),
(30, NULL, NULL);

-- 
-- Dumping data for table aterrizan
--
INSERT INTO aterrizan VALUES
(1, NULL, NULL),
(2, NULL, NULL),
(3, NULL, NULL),
(4, NULL, NULL),
(5, NULL, NULL),
(6, NULL, NULL),
(7, NULL, NULL),
(8, NULL, NULL),
(9, NULL, NULL),
(10, NULL, NULL),
(11, NULL, NULL),
(12, NULL, NULL),
(13, NULL, NULL),
(14, NULL, NULL),
(15, NULL, NULL),
(16, NULL, NULL),
(17, NULL, NULL),
(18, NULL, NULL),
(19, NULL, NULL),
(20, NULL, NULL),
(21, NULL, NULL),
(22, NULL, NULL),
(23, NULL, NULL),
(24, NULL, NULL),
(25, NULL, NULL),
(26, NULL, NULL),
(27, NULL, NULL),
(28, NULL, NULL),
(29, NULL, NULL),
(30, NULL, NULL);

-- 
-- Dumping data for table almacen
--


-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;